<?php

// API routes  for index
Route::prefix('{guard}/r_u_s-coming')->group(function () {
    Route::get('index/form/{element}', 'IndexAPIController@form');
    Route::resource('index', 'IndexAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for r_u_s-comings
            Route::prefix('{guard}/r_u_s-coming')->group(function () {
                Route::get('index/form/{element}', 'IndexAPIController@form');
                Route::apiResource('index', 'IndexAPIController');
            });
            // Public routes for r_u_s-comings
            Route::get('r_u_s-coming/Index', 'IndexPublicController@getIndex');
        }
    );
}

