<?php

namespace Moscow\RUSComing\Repositories\Eloquent;

use Moscow\RUSComing\Interfaces\IndexRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class IndexRepository extends BaseRepository implements IndexRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('moscow.r_u_s-coming.index.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('moscow.r_u_s-coming.index.model.model');
    }
}
