Lavalite package that provides r_u_s-coming management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moscow/r_u_s-coming`.

    "moscow/r_u_s-coming": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moscow\RUSComing\Providers\RUSComingServiceProvider::class,

And also add it to alias

    'RUSComing'  => Moscow\RUSComing\Facades\RUSComing::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moscow\\RUSComingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moscow\RUSComing\Providers\RUSComingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moscow\RUSComing\Providers\RUSComingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moscow\RUSComing\Providers\RUSComingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/r_u_s-coming/{modulename}

**User**

    http://path-to-route-folder/user/r_u_s-coming/{modulename}

**Public**

    http://path-to-route-folder/r_u_s-comings


### API endpoints

**List**

    http://path-to-route-folder/api/user/r_u_s-coming/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/r_u_s-coming/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/r_u_s-coming/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/r_u_s-coming/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/r_u_s-coming/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/r_u_s-coming/{modulename}/{slug}
    METHOD: GET