<?php

// web routes  for index
Route::prefix('{guard}/r_u_s-coming')->group(function () {
    Route::resource('index', 'IndexResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'IndexResourceController');
            });
            // Public routes for pages
            Route::get('r_u_s-comings/', 'IndexPublicController@index');
            Route::get('r_u_s-comings/{slug?}', 'IndexPublicController@show');
        }
    );
}

